$kind: http-request
url: "{{demo}}procurement/purchase_orders"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \    \"title\": \"maihs\",\r

    \    \"supplier_id\": \"878a6971-3563-4d33-83c9-72a890e8b788\",\r

    \    \"purchase_requisition_id\":
    \"15da22d2-a3ac-4c5a-8e25-8874b3746299\",\r

    \    \"rfq_evaluation_id\": null,\r

    \    \"po_date\": \"2026-01-24\",\r

    \    \"expected_delivery_date\": \"2026-02-07\",\r

    \    \"notes\": \"dlvjn\",\r

    \    \"items\": [\r

    \        {\r

    \            \"item_type\": \"App\\\\Models\\\\Inventory\\\\Item\",\r

    \            \"item_id\": \"c3df24eb-6955-47ad-9b10-01c0966fceac\",\r

    \            \"item_name\": \"REHKDB\",\r

    \            \"unit_id\": \"8de7ce59-599f-4b16-b3ce-97dc08dc13e0\",\r

    \            \"quantity\": 1,\r

    \            \"unit_price\": 4000,\r

    \            \"currency_id\": \"f535fd8a-dc00-478f-a42a-d82ae24af8f3\"\r

    \        }\r

    \    ]\r

    }"
auth:
  type: bearer
  credentials:
    token: "{{live_token}}"
order: 1000
